gr::radar::signal_generator_cw_c_impl Class Reference

`#include <signal_generator_cw_c_impl.h>`

Inheritance diagram for gr::radar::signal_generator_cw_c_impl:

## Public Member Functions

| signal_generator_cw_c_impl (int packet_len, int samp_rate, std::vector< float > frequency, float amplitude, const std::string &len_key)
| ~signal_generator_cw_c_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_packet_len
int | d_samp_rate
float | d_amplitude
std::vector< float > | d_frequency
int | d_num_freq
pmt::pmt_t | d_key
pmt::pmt_t | d_value
pmt::pmt_t | d_srcid
std::vector< gr_complex > | d_phase

## Additional Inherited Members

Public Types inherited from gr::radar::signal_generator_cw_c
typedef std::shared_ptr< signal_generator_cw_c > | sptr
Static Public Member Functions inherited from gr::radar::signal_generator_cw_c
static sptr | make (int packet_len, int samp_rate, std::vector< float > frequency, float amplitude, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::signal_generator_cw_c.

## Constructor & Destructor Documentation

## signal_generator_cw_c_impl()

gr::radar::signal_generator_cw_c_impl::signal_generator_cw_c_impl | ( | int | packet_len,
|  | int | samp_rate,
|  | std::vector< float > | frequency,
|  | float | amplitude,
|  | const std::string & | len_key )

## ~signal_generator_cw_c_impl()

gr::radar::signal_generator_cw_c_impl::~signal_generator_cw_c_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::radar::signal_generator_cw_c_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_amplitude

float gr::radar::signal_generator_cw_c_impl::d_amplitude

## d_frequency

std::vector<float> gr::radar::signal_generator_cw_c_impl::d_frequency

## d_key

pmt::pmt_t gr::radar::signal_generator_cw_c_impl::d_key

## d_num_freq

int gr::radar::signal_generator_cw_c_impl::d_num_freq

## d_packet_len

int gr::radar::signal_generator_cw_c_impl::d_packet_len

## d_phase

std::vector<gr_complex> gr::radar::signal_generator_cw_c_impl::d_phase

## d_samp_rate

int gr::radar::signal_generator_cw_c_impl::d_samp_rate

## d_srcid

pmt::pmt_t gr::radar::signal_generator_cw_c_impl::d_srcid

## d_value

pmt::pmt_t gr::radar::signal_generator_cw_c_impl::d_value

The documentation for this class was generated from the following file:

- signal_generator_cw_c_impl.h